%define upstream_name Dist-Zilla-Plugin-PromptIfStale
%define upstream_version 0.049

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check at build/release time if modules are out of date
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Tester) >= 0.328.0
BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Class::Method::Modifiers)
BuildRequires: perl(Config::MVP::Section) >= 2.200.4
BuildRequires: perl(Cwd)
BuildRequires: perl(Dist::Zilla) >= 5.34.0
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::App::Tester)
BuildRequires: perl(Dist::Zilla::Chrome::Test)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Role::BeforeRelease)
BuildRequires: perl(Dist::Zilla::Role::Plugin)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Util::AuthorDeps) >= 5.21.0
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(HTTP::Headers)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(IO::Pty)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Log::Dispatch) >= 2.490.0
BuildRequires: perl(Module::CoreList) >= 5.201.512.130
BuildRequires: perl(Module::Metadata) >= 1.0.23
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Parse::CPAN::Packages::Fast)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Term::ANSIColor) >= 3.0.0
BuildRequires: perl(Term::Encoding)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Check at build/release time if modules are out of date.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.49.0-2.mga6
+ Revision: 1026558
- Rebuild for perl 5.22.2

* Sat Apr 30 2016 shlomif <shlomif> 0.49.0-1.mga6
+ Revision: 1008027
- Add missing BR
- update to 0.049

* Fri Feb 19 2016 umeabot <umeabot> 0.47.0-2.mga6
+ Revision: 970001
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.47.0-1.mga6
+ Revision: 884547
- update to 0.047

* Sun Aug 23 2015 sander85 <sander85> 0.46.0-1.mga6
+ Revision: 868496
- update to 0.046

* Sun Jun 28 2015 sander85 <sander85> 0.45.0-1.mga6
+ Revision: 846492
- update to 0.045
- update to 0.025

  + umeabot <umeabot>
    - Rebuild to potentially add missing dependencies
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Thu Jul 24 2014 sander85 <sander85> 0.24.0-1.mga5
+ Revision: 656332
- update to 0.024

* Tue May 20 2014 jquelin <jquelin> 0.23.0-1.mga5
+ Revision: 624252
- update to 0.023

* Fri May 02 2014 sander85 <sander85> 0.22.0-1.mga5
+ Revision: 619454
- update to 0.022

* Tue Mar 25 2014 jquelin <jquelin> 0.21.0-1.mga5
+ Revision: 608339
- update to 0.021

* Mon Mar 03 2014 jquelin <jquelin> 0.20.0-1.mga5
+ Revision: 598705
- update to 0.020

* Fri Feb 28 2014 jquelin <jquelin> 0.19.0-1.mga5
+ Revision: 597856
- update to 0.019

* Tue Feb 25 2014 jquelin <jquelin> 0.18.0-1.mga5
+ Revision: 596876
- update to 0.018

* Mon Feb 17 2014 jquelin <jquelin> 0.17.0-1.mga5
+ Revision: 593425
- update to 0.017

* Sun Feb 09 2014 sander85 <sander85> 0.16.0-1.mga5
+ Revision: 587779
- imported package perl-Dist-Zilla-Plugin-PromptIfStale

